#ifndef DRIVER_D_PAINT_JPEG
#define DRIVER_D_PAINT_JPEG


/*****************************************************************
 * Public Function Prototypes
 ****************************************************************/


/**
* @brief	Initializes the display
*
* @param
*/
void display_init(void);

/**
* @brief	Displays the jpeg-file located on the inserted SD-card with path 'filename'
*
* @param filename	Full file path of jpeg to be displayed
* @return 			'0' if successful, '1' if SD-card error; '2' if jpeg is too large
*
*/
int paint_JPEG_file (char * );


#endif /* DRIVER_D_PAINT_JPEG */
