/***********************************************************
 *
 * a_timer.h
 * SYSTART GmbH
 * FLB, 10.09.2018
 *
 ***********************************************************/
#ifndef APPLICATION_A_TIMER_H_
#define APPLICATION_A_TIMER_H_

 /***********************************************************
 * Includes
 ***********************************************************/
#include "stm32f4xx.h"

 /***********************************************************
 * Defines
 ***********************************************************/
typedef uint64_t tTimer;

 /***********************************************************
 * Function declarations
************************************************************/
void timer_init(void);
void delay_us(tTimer delay);
void delay_ms(tTimer delay);
tTimer timer_get_time_ms(void);
tTimer timer_get_time_us(void);


#endif /* APPLICATION_A_TIMER_H_ */
