/*
 * d_Interrupts.c
 *
 *  Created on: 18.02.2019
 *      Author: r.todorov
 */

#include "driver/Interrupts.h"

/**
* @brief Interrupt-Handler EXTI2
*
* Switching of supply -> Store position value
*
* @param -
*
* @return -
*
*/
void EXTI0_IRQHandler ( void )
{
	  uint32_t wert;

	  if(EXTI_GetITStatus(EXTI_Line0) != RESET)
	  {
	    // if Interrupt occurs
	    EXTI_ClearITPendingBit(EXTI_Line0);

	    wert=GPIO_ReadInputDataBit(GPIOB, GPIO_Pin_0 );

	  //  inc_geber_update();

	  }
}


void EXTI1_IRQHandler ( void )
{
	  uint32_t wert;

	  if(EXTI_GetITStatus(EXTI_Line1) != RESET)
	  {
	    // if Interrupt occurs
	    EXTI_ClearITPendingBit(EXTI_Line1);

	    wert=GPIO_ReadInputDataBit(GPIOB, GPIO_Pin_1 );

	 //  inc_geber_update();

	  }
}

void EXTI4_IRQHandler ( void )
{
	  uint32_t wert;

	  if(EXTI_GetITStatus(EXTI_Line4) != RESET)
	  {
	    // if Interrupt occurs
	    EXTI_ClearITPendingBit(EXTI_Line4);

	    wert=GPIO_ReadInputDataBit(GPIOB, GPIO_Pin_4 );

	   // inc_geber_update();

	  }
}
void EXTI9_5_IRQHandler ( void )
{
	  uint32_t wert;

	  if(EXTI_GetITStatus(EXTI_Line5) != RESET)
	  {
	    // if Interrupt occurs
	    EXTI_ClearITPendingBit(EXTI_Line5);

	    wert=GPIO_ReadInputDataBit(GPIOB, GPIO_Pin_5 );

	   // inc_geber_update();

	  }
}
