#include "driver/d_SDIO.h"
#include "application/paintJPEG.h"


/***********************************************************
* Function definitions
***********************************************************/

int SDIO_search_for_jpeg(char* name_array){
	// check if SD-card is inserted
	if(GPIO_ReadInputDataBit(GPIOG, GPIO_Pin_10)==1){
		FRESULT res;
		FATFS sd_fs;
		TM_FATFS_Search_t FindStruct;
		char working_buffer[200];

		//Mount SD card
		res = f_mount(&sd_fs, "0", 1);

		if(res == FR_OK){
			TM_FATFS_Search("SD:", working_buffer, 50, &FindStruct, name_array);
		}
		f_mount(0, "0", 1);
		return FindStruct.JpegCount;
	}
	else{// no SD-card detected
		return 0;
	}
}
